#include "virtualtreemodelprivate.h"

#include "virtualtreemodel.h"

VirtualTreeModel::VirtualTreeModelPrivate::VirtualTreeModelPrivate(
    VirtualTreeModel &model)
    : m_model(model) {}

void VirtualTreeModel::VirtualTreeModelPrivate::beginUpdate() {
  m_model.beginUpdate();
}

void VirtualTreeModel::VirtualTreeModelPrivate::endUpdate() {
  m_model.endUpdate();
}

void VirtualTreeModel::VirtualTreeModelPrivate::queuedUpdate() {
  m_model.queuedUpdate();
}
